# Make sure the compiler can find include files from our Bdm library.
include_directories (${BDM_SOURCE_DIR}/bdm)

# Make sure the linker can find the bdm library once it is built.
link_directories (${BDM_BINARY_DIR}/bdm)

# no simulator needed...
EXEC(testbidiff)


###STUFF with SIMULATOR

## Build simulator
add_subdirectory (simulator_zdenek)
#add_subdirectory (simulator_zdenek/ekf_example)

## Use it
include_directories (./simulator_zdenek)
link_directories (./simulator_zdenek)
#link_directories (./simulator_zdenek/ekf_example)

EXEC (pmsm_estim pmsmsim)
#EXEC (sim pmsmsim)
#EXEC (sim_var pmsmsim)

add_subdirectory (TR2245)
